Automations

List automations

Returns automations configured for the requested app, including whether each one can be run through the Manual / API trigger.

GET /api/public/v1/automations

List automations

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/automations' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "automations": [
    {
      "id": "<string>",
      "projectId": "<string>",
      "name": "<string>",
      "enabled": true,
      "triggerKind": "manual",
      "triggerDescription": "<string>",
      "actionKinds": [
        "run_tests"
      ],
      "canRunManually": true,
      "createdByName": "<string>",
      "createdAt": 1,
      "updatedAt": 1,
      "lastRunAt": 1
    }
  ]
}

Automations found

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Query Parameters

  • appId string required

    App ID.

Response

application/json
  • automations[] object array

    Automations configured for the requested app.

    + Show Child Attributes
    • id string

      Automation ID.

    • projectId string

      Project ID that owns the automation.

    • name string

      Automation name.

    • enabled boolean

      Whether the automation is currently enabled.

    • triggerKind string enum enum

      Configured automation trigger kind. 6 allowed enum values.

    • triggerDescription string

      Human-readable trigger summary.

    • actionKinds[] string enum arrayenum

      Action kinds configured on the automation, in order. Allowed values: run_tests, deploy_agent, send_message, send_webhook.

    • canRunManually boolean

      Whether this automation can be run through the Manual / API trigger.

    • createdByName string | null

      Display name of the user who created the automation.

    • createdAt number

      Creation time in unix milliseconds.

    • updatedAt number

      Last update time in unix milliseconds.

    • lastRunAt number | null

      Most recent execution time in unix milliseconds, if the automation has run.

    • lastRunError string | null

      Last recorded execution error, if any.